Bug 768 - скрипт из cron.daily/texpire содержит ошибку в вызове su
: скрипт из cron.daily/texpire содержит ошибку в вызове su
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/leafnode)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-03-30 15:57 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-03-30 15:57:59
[<a href="mailto:root@lav" target="_new">root@lav</a> cron.daily]# ./texpire
su: could not identify appropriate shell
[<a href="mailto:root@lav" target="_new">root@lav</a> cron.daily]# rpm -qf texpire
leafnode-1.9.18-ipl2mdk
---

---
texpire fixed in 1.9.22
------- Comment #1 From 2002-03-30 16:55:52 -------
1) current version is 1.9.20-alt1 (not yet in Sisyphus -- look at <a
href="http://lic145.kiev.ua/~mike/ALTLinux/ALT-upload-queue/">http://lic145.kiev.ua/~mike/ALTLinux/ALT-upload-queue/</a>)

2) texpire from 1.9.18 _works_ as a cronjob (which is definitely _the_
destination of /etc/cron.daily/texpire) -- you could do \&quot;su - news -s
/bin/sh /usr/sbin/texpire\&quot; to perform the operation manually.

PS: check \&quot;news\&quot; user shell in /etc/passwd -- as of Spring 2001 it
was _empty_, now it\'s plain /dev/null.
------- Comment #2 From 2002-03-30 16:55:52 -------
1) current version is 1.9.20-alt1 (not yet in Sisyphus -- look at <a
href="http://lic145.kiev.ua/~mike/ALTLinux/ALT-upload-queue/">http://lic145.kiev.ua/~mike/ALTLinux/ALT-upload-queue/</a>)

2) texpire from 1.9.18 _works_ as a cronjob (which is definitely _the_
destination of /etc/cron.daily/texpire) -- you could do \&quot;su - news -s
/bin/sh /usr/sbin/texpire\&quot; to perform the operation manually.

PS: check \&quot;news\&quot; user shell in /etc/passwd -- as of Spring 2001 it
was _empty_, now it\'s plain /dev/null.
------- Comment #3 From 2002-03-31 18:58:09 -------
Я имел в виду что нужно 
исправить /etc/cron.daily/texpire
чтобы он содержал su - news -s /bin/sh /usr/sbin/texpire
то есть указание шелла.
------- Comment #4 From 2002-03-31 18:58:09 -------
Я имел в виду что нужно 
исправить /etc/cron.daily/texpire
чтобы он содержал su - news -s /bin/sh /usr/sbin/texpire
то есть указание шелла.
------- Comment #5 From 2002-08-01 15:43:27 -------
1.9.22-alt1 is reported to work (sssku)
------- Comment #6 From 2002-08-01 15:43:27 -------
1.9.22-alt1 is reported to work (sssku)